Bug 1347645 - RBAC:Unexpected error when clicked on VM in "EVM: Recently Discovered VMs" widget of tenant user
Summary: RBAC:Unexpected error when clicked on VM in "EVM: Recently Discovered VMs" wi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.6.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.7.0
Assignee: Aparna Karve
QA Contact: Aziza Karol
URL:
Whiteboard: rbac:cfme_tenant
Depends On:
Blocks: 1349988
TreeView+ depends on / blocked
 
Reported: 2016-06-17 10:21 UTC by Aziza Karol
Modified: 2017-01-12 04:59 UTC (History)
6 users (show)

Fixed In Version: 5.7.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1349988 (view as bug list)
Environment:
Last Closed: 2017-01-11 20:14:46 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
err (64.00 KB, image/png)
2016-06-17 10:21 UTC, Aziza Karol
no flags Details

Description Aziza Karol 2016-06-17 10:21:59 UTC
Created attachment 1169022 [details]
err

Description of problem:


Version-Release number of selected component (if applicable):
5.6.0.10

How reproducible:
100%

Steps to Reproduce:
1.Navigate to configuration->settings->access control->tenant and create a new child tenant
2.create a new group by selecting the above tenant and role as "EvmRole-super_administrator"
3.create a user base on above group
4.login with that user.
5.In default dashboard page click on any vm in "EVM: Recently Discovered VMs" widget 

Actual results:
No route matches {:action=>"quick_search", :controller=>"vm"} [vm/show_list] is displayed in UI. see attached screenshot.

Expected results:


Additional info:
production.log
[----] I, [2016-06-17T06:15:52.778975 #3015:efcf7c]  INFO -- :   Rendered layouts/_content.html.haml (47.7ms)
[----] F, [2016-06-17T06:15:52.779304 #3015:efcf7c] FATAL -- : Error caught: [ActionView::Template::Error] No route matches {:action=>"quick_search", :controller=>"vm"}
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/formatter.rb:50:in `generate'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:629:in `generate'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:660:in `generate'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:707:in `url_for'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/url_for.rb:172:in `url_for'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/routing_url_for.rb:90:in `url_for'
/var/www/miq/vmdb/app/views/layouts/_user_input_filter.html.haml:1:in `_app_views_layouts__user_input_filter_html_haml___365548115987826952_20974320'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/layouts/_quick_search.html.haml:9:in `_app_views_layouts__quick_search_html_haml___2610714818844791607_20286660'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/layouts/_searchbar.html.haml:5:in `_app_views_layouts__searchbar_html_haml__2541931047865613789_18413640'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/layouts/_content.html.haml:96:in `_app_views_layouts__content_html_haml___1288222422661030570_162552880'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:343:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:311:in `block in render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/abstract_renderer.rb:42:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/abstract_renderer.rb:41:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/partial_renderer.rb:310:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:47:in `render_partial'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:21:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/helpers/rendering_helper.rb:32:in `render'
/opt/rh/cfme-gemset/bundler/gems/jquery-rjs-1288c097aa1c/lib/jquery-rjs/rendering.rb:8:in `render_with_update'
/var/www/miq/vmdb/app/views/layouts/application.html.haml:50:in `_app_views_layouts_application_html_haml___3443371557260511263_133089920'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:158:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:166:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:348:in `instrument'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/template.rb:156:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/template_renderer.rb:66:in `render_with_layout'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/template_renderer.rb:52:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/template_renderer.rb:14:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:42:in `render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/renderer/renderer.rb:23:in `render'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/rendering.rb:103:in `_render_template'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/streaming.rb:217:in `_render_template'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/rendering.rb:83:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rendering.rb:52:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/renderers.rb:144:in `render_to_body'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/rendering.rb:26:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rendering.rb:36:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block (2 levels) in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `block in ms'
/opt/rh/rh-ruby22/root/usr/share/ruby/benchmark.rb:303:in `realtime'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/core_ext/benchmark.rb:12:in `ms'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:44:in `block in render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:87:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activerecord/lib/active_record/railties/controller_runtime.rb:25:in `cleanup_view_runtime'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:43:in `render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/implicit_render.rb:36:in `default_render'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/basic_implicit_render.rb:4:in `block in send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/basic_implicit_render.rb:4:in `tap'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/basic_implicit_render.rb:4:in `send_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/base.rb:181:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rendering.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/callbacks.rb:20:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:126:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:506:in `block (2 levels) in compile'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:455:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:101:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:750:in `_run_process_action_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/callbacks.rb:19:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/rescue.rb:20:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:32:in `block in process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `block in instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications/instrumenter.rb:21:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/notifications.rb:164:in `instrument'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/instrumentation.rb:30:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal/params_wrapper.rb:248:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activerecord/lib/active_record/railties/controller_runtime.rb:18:in `process_action'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/abstract_controller/base.rb:126:in `process'
/opt/rh/cfme-gemset/gems/actionview-5.0.0.rc1/lib/action_view/rendering.rb:30:in `process'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal.rb:190:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_controller/metal.rb:262:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:50:in `dispatch'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:32:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:39:in `block in serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:26:in `each'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/journey/router.rb:26:in `serve'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/routing/route_set.rb:725:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:186:in `call!'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/strategy.rb:164:in `call'
/opt/rh/cfme-gemset/gems/omniauth-1.3.1/lib/omniauth/builder.rb:63:in `call'
/opt/rh/cfme-gemset/gems/secure_headers-3.0.3/lib/secure_headers/middleware.rb:10:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/etag.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/conditional_get.rb:25:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/head.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:222:in `context'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/session/abstract/id.rb:216:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/cookies.rb:613:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/callbacks.rb:38:in `block in call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:97:in `__run_callbacks__'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:750:in `_run_call_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/callbacks.rb:90:in `run_callbacks'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/callbacks.rb:36:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/remote_ip.rb:79:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/debug_exceptions.rb:49:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/show_exceptions.rb:31:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/rack/logger.rb:36:in `call_app'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/rack/logger.rb:26:in `call'
/opt/rh/cfme-gemset/gems/request_store-1.3.1/lib/request_store/middleware.rb:9:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/request_id.rb:24:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/method_override.rb:22:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/runtime.rb:22:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/activesupport/lib/active_support/cache/strategy/local_cache_middleware.rb:28:in `call'
/opt/rh/cfme-gemset/bundler/gems/rails-61b074f40164/actionpack/lib/action_dispatch/middleware/executor.rb:12:in `call'
/opt/rh/cfme-gemset/gems/rack-2.0.0.rc1/lib/rack/sendfile.rb:111:in `call'
/opt/rh/cfme-gemset/gems/railties-5.0.0.rc1/lib/rails/engine.rb:522:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/configuration.rb:224:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:561:in `handle_request'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:406:in `process_client'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/server.rb:271:in `block in run'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `call'
/opt/rh/rh-ruby22/root/usr/share/gems/gems/puma-3.3.0/lib/puma/thread_pool.rb:111:in `block in spawn_thread'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `call'
/opt/rh/cfme-gemset/gems/logging-1.8.2/lib/logging/diagnostic_context.rb:323:in `block in create_with_logging_context'

Comment 2 Harpreet Kataria 2016-06-17 16:21:39 UTC
In commit ab3cbafa5c486ff2d910ce92b4afdadf968ff444, find_by_id_filtered was changed to add rbac filtering, which is causing code to return on https://github.com/ManageIQ/manageiq/blob/master/app/controllers/vm_common.rb#L186 in case user does not have an access to the selected record. Need to make changes to show method in vm_common to fall thru code block in https://github.com/ManageIQ/manageiq/blob/master/app/controllers/vm_common.rb#L196 and redirect to appropriate controller and display a flash message.

Comment 3 Harpreet Kataria 2016-06-17 17:54:48 UTC
Aparna,

Let me know if you have questions.

Thanks,
~Harpreet

Comment 5 CFME Bot 2016-06-24 17:51:25 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/0cd48edc4065b8374d393a986597c540d6085052

commit 0cd48edc4065b8374d393a986597c540d6085052
Author:     Aparna Karve <akarve@redhat.com>
AuthorDate: Tue Jun 21 17:26:33 2016 -0700
Commit:     Aparna Karve <akarve@redhat.com>
CommitDate: Tue Jun 21 17:33:17 2016 -0700

    Fix the redirect when user does not have privileges to view a VM
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1347645

 app/controllers/application_controller/ci_processing.rb | 8 +++-----
 app/controllers/vm_common.rb                            | 5 +++++
 2 files changed, 8 insertions(+), 5 deletions(-)

Comment 8 Aziza Karol 2016-10-04 11:13:34 UTC
No error when clicked on VM in "EVM: Recently Discovered VMs" widget of tenant user.

Verified:5.7.0.3.20160927165516_075d0f3


Note You need to log in before you can comment on or make changes to this bug.